/*
Use: CREATE API PROVIDER USE API CALLING getApi, postApi
*/

import 'package:dio_helper_flutter/dio_helper.dart';
import 'package:dio/dio.dart' as dio;

class ApiProvider {
  final DioHelper _dioHelper;

  ApiProvider(this._dioHelper);

  //GET API
  Future getApi(String pathUrl, {Map<String, dynamic>? queryParameters}) {
    return _dioHelper.request('${APiKey.baseUrlKey}$pathUrl',
        queryParameter: queryParameters, dioMethod: DioMethod.post);
  }

  //POST API
  Future postApi(String pathUrl,
      {Map<String, dynamic>? queryParameters, dynamic data}) {
    return _dioHelper.request(pathUrl,
        data: data, queryParameter: queryParameters, dioMethod: DioMethod.post);
  }

  //IMAGE UPLOAD POST
  Future imageUpload(String pathUrl, {required dio.FormData formData}) {
    return _dioHelper.request(pathUrl, data: formData);
  }
}
