import 'package:dio/dio.dart' as dio;
import 'api_provider.dart';

class ApiRepository implements ApiProvider {
  final ApiProvider _apiProvider;

  ApiRepository(this._apiProvider);

  @override
  Future getApi(String pathUrl, {Map<String, dynamic>? queryParameters}) {
    return _apiProvider.getApi(pathUrl, queryParameters: queryParameters);
  }

  @override
  Future postApi(String pathUrl,
      {dynamic data, Map<String, dynamic>? queryParameters}) {
    return _apiProvider.postApi(pathUrl,
        queryParameters: queryParameters, data: data);
  }

  @override
  Future imageUpload(String pathUrl, {required dio.FormData formData}) {
    return _apiProvider.imageUpload(pathUrl, formData: formData);
  }
}
